start

# po2csv and csv2po

Converts PO files into CSV (Comma Seperated Value) files. A CSV file can be opened in most spreadsheets which therefore allows you to translate using a spreadsheet

## Usage

    po2csv [-P] <input> <csv>
    csv2po [--charset=CHARSET] [-t <templates>] <csv> <output>

Where:

<input> | contains a number of PO files
<csv> | contains the resultant CSV files
<templates> | are the reference POT or PO files
<output> | the newly created PO files migrated from CSV

Options:

-P, --pot | output PO Templates (.pot) rather than PO files (.po)
--charset=CHARSET | set charset to decode from CSV files

## Examples

    po2csv -P templates csv

Transform POT files found in templates into CSV files in csv

    po2csv zulu zulu-csv

Convert PO files found in zulu to CSV files in zulu-csv

    csv2po --charset=windows-1250 -t templates csv zulu

Convert CSV files found in csv into PO files that will be placed in zulu using PO files found in template as templates for the reconstruction of the PO files. The CSV files are also converted to WINDOWS-1250 encoding to UTF-8.

## Bugs

po2csv assumes that the file is in UTF-8, it probably should read the encoding from the PO header. You cannot change the columns and it would probably be usefull if you could in cases where translators have moved columns. We should probably work out how to include translator comments.